'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _lodash = require('lodash');

var _update = require('../update');

function sicksyncUpdateCommand(program, config) {
    program.command('update').description('Updates sicksync on both your local and remote machine(s)').option('-c, --check', 'Checks to see the latest version of sicksync').option('-m, --migrate-config', 'Updates your config for the most recent version for sicksync').action((0, _lodash.partial)(_update.update, config));
};

exports['default'] = sicksyncUpdateCommand;
module.exports = exports['default'];