'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; desc = parent = getter = undefined; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; continue _function; } } else if ('value' in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _events = require('events');

var _untildify = require('untildify');

var _untildify2 = _interopRequireDefault(_untildify);

var _confEvents = require('../../conf/events');

var fsEvents = _confEvents.FS.REMOTE;

var FSHelper = (function (_EventEmitter) {
    _inherits(FSHelper, _EventEmitter);

    function FSHelper() {
        _classCallCheck(this, FSHelper);

        _get(Object.getPrototypeOf(FSHelper.prototype), 'constructor', this).call(this);
    }

    _createClass(FSHelper, [{
        key: 'addFile',
        value: function addFile(message) {
            var _this = this;

            _fsExtra2['default'].outputFile((0, _untildify2['default'])(message.destinationpath), message.contents, function (err) {
                if (err) return _this.emit(fsEvents.ADD_FILE_ERROR, err);

                _this.emit(fsEvents.ADD_FILE, message.destinationpath);
            });
        }
    }, {
        key: 'addDir',
        value: function addDir(message) {
            var _this2 = this;

            _fsExtra2['default'].mkdirs((0, _untildify2['default'])(message.destinationpath), function (err) {
                if (err) return _this2.emit(fsEvents.ADD_DIR_ERROR, err);

                _this2.emit(fsEvents.ADD_DIR, message.destinationpath);
            });
        }
    }, {
        key: 'removePath',
        value: function removePath(message) {
            var _this3 = this;

            _fsExtra2['default']['delete']((0, _untildify2['default'])(message.destinationpath), function (err) {
                if (err) return _this3.emit(fsEvents.DELETE_ERROR, err);

                _this3.emit(fsEvents.DELETE, message.destinationpath);
            });
        }
    }]);

    return FSHelper;
})(_events.EventEmitter);

exports['default'] = FSHelper;
module.exports = exports['default'];