'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _lodash = require('lodash');

var _local = require('../local');

function sicksyncOnceCommand(program, config) {
    program.command('once [projects...]').description('Runs a one-time sync on the supplied project(s)').option('-n, --dry-run', 'Shows information on what files will be sent without sending them').action((0, _lodash.partial)((0, _lodash.ary)(_local.once, 3), config));
};

exports['default'] = sicksyncOnceCommand;
module.exports = exports['default'];