'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _remote = require('../remote');

var _remote2 = _interopRequireDefault(_remote);

function sicksyncRemoteCommand(program) {
    program.command('remote').description('Starts the remote process of sicksync. Must be ran on the remote machine.').option('-s, --secret <secret>', 'A secret used to only allow known subscribers (should match with your config).').option('-p, --port <port>', 'The port in which to listen for incoming sync messages (should match with your config).', parseInt).option('-e, --encrypt', 'Enable encryption on messages (should match with your config)').option('-d, --debug', 'Show debug messages').action(_remote2['default']);
};

exports['default'] = sicksyncRemoteCommand;
module.exports = exports['default'];